#!/usr/bin/env python
# -*- encoding: utf-8 -*-
# $Id: setup.py 503 2008-02-29 04:11:40Z jwp $
##
# copyright 2007, James William Pye. http://jwp.name
##
import sys
import os
from setuptools import setup, find_packages
NAME = 'terminfo'

LONG_DESCRIPTION = """
The name.jwp.terminfo module provides terminal information and functions for
interacting with the terminal. Providing the necessary information for setting
font styles and colors.

The target application of this module are simple scripts or programs intended
for direct terminal use. More advanced applications are not supported with
respect to dynamically producing the terminal information based on given
parameters, rather, it's completely bound to the terminal the user executed the
program in.

To get started quickly, look at the output of the 'sample' command:

$ python -m name.jwp.terminfo sample
"""

classifiers = [
	'Development Status :: 5 - Production/Stable',
	'Intended Audience :: Developers',
	'License :: OSI Approved :: BSD License',
	'License :: OSI Approved :: MIT License',
	'License :: OSI Approved :: Attribution Assurance License',
	'License :: OSI Approved :: Python Software Foundation License',
	'Natural Language :: English',
	'Operating System :: OS Independent',
	'Programming Language :: Python',
	'Topic :: Software Development :: User Interfaces',
]

defaults = {
	'name' : 'jwp_' + NAME,
	'version' : '1.0.4',
	'description' : 'High level terminal information provider',
	'long_description' : LONG_DESCRIPTION,
	'author' : 'James William Pye',
	'author_email' : 'x@jwp.name',
	'url' : 'http://jwp.name',
	'classifiers' : classifiers,
	'download_url' : 'http://svn.jwp.name/lib/python/terminfo/fork/v1.0',
	'namespace_packages' : ['name', 'name.jwp'],
	'py_modules' : ['name.__init__', 'name.jwp.terminfo'],
}

if __name__ == '__main__':
	setup(**defaults)
